<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

if(!isset($_GET['err'])){
header("Location: /index.php");
exit;
}

$err=intval($_GET['err'], 10);

if(!ctype_digit($err)){
header("Location: /index.php");
exit;
}

$set['title']="Ошибка ".$err;

include_once 'sys/inc/thead.php';

title().aut();
err();

if($err==400){
$ttl='400 Bad Request';
$txt='Сервер обнаружил в запросе клиента синтаксическую ошибку.';
}

elseif($err==401){
$ttl='401 Unauthorized';
$txt='Для доступа к запрашиваемому ресурсу требуется аутентификация. В заголовке ответ должен содержать поле WWW-Authenticate с перечнем условий аутентификации. Клиент может повторить запрос, включив в заголовок сообщения поле Authorization с требуемыми для аутентификации данными.';
}

elseif($err==402){
$ttl='402 Payment Required';
$txt='Необходима оплата.';
}

elseif($err==403){
$ttl='403 Forbidden';
$txt='Сервер понял запрос, но он отказывается его выполнять из-за ограничений в доступе для клиента к указанному ресурсу.';
}

elseif($err==404){
$ttl='404 Not Found';
$txt='Сервер понял запрос, но не нашёл соответствующего ресурса по указанному URI.';
}

elseif($err==500){
$ttl='500 Internal Server Error';
$txt='Внутренняя ошибка сервера.';
}

elseif($err==502){
$ttl='502 Bad Gateway';
$txt='Сервер, выступая в роли шлюза или прокси-сервера, получил недействительное ответное сообщение от вышестоящего сервера.';
}

else{
$ttl=$err.' Unknown Error';
$txt='Неизвестная ошибка.';
}

echo '<div class="logo"><br/>';
echo '<center>';
echo '<b>'.$ttl.'</b>';
echo '<hr size="1" width="25%"/><i>'.$txt.'</i></center><br/></div>';

include_once 'sys/inc/tfoot.php';
?>
